Ticket #13259: patch-configure

File patch-configure, 631 bytes (added by yunzheng.hu@…, 13 years ago)

patch for configure that also applies to Darwin 9 instead of only Darwin 8 (the poll issue)

Line 
1--- configure.orig      2008-02-09 17:57:28.000000000 +0100
2+++ configure   2008-02-09 17:59:39.000000000 +0100
3@@ -9744,8 +9744,9 @@
4 case "`uname -sr`" in
5 # Linux-2.2.x and older don't support fcntl64.
6 "Linux 2.2."*|"Linux 2.0."*)  enable_largefile=no;;
7-# MacOS X Tiger's poll does not work correctly.
8-"Darwin 8."*)  lftp_cv_func_poll_works=no;;
9+# MacOS X Tiger's and Leopard's poll does not work correctly.
10+# a better patch would be to check for proper functionality: http://bugzilla.gnome.org/attachment.cgi?id=68325&action=view
11+"Darwin 8."*|"Darwin 9."*)  lftp_cv_func_poll_works=no;;
12 esac
13 
14 for ac_prog in 'bison -y' byacc